/*
 * Copy.java
 *
 * Created on 10. duben 2002, 12:41
 */

package SOFA.Connector.EEG.fileutil;

/**
 *
 * @author  ghort
 * @version 
 */
public class Delete {

	/** Creates new Copy */
	private Delete() {
	}

	public static void delete(java.io.File path) throws DeleteException {
		if (path.isDirectory()) {
			deleteDirectory(path);
		} else {
			deleteFile(path);
		}
	}
	
	protected static void deleteDirectory(java.io.File path) throws DeleteException {
		java.io.File[] list=path.listFiles();
		for (int i=0;i<list.length;i++) {
			if (list[i].isDirectory()) {
				deleteDirectory(list[i]);
				if (!list[i].delete()) {
					throw new DeleteException("Can't delete directory '"+list[i]+"'.");
				}
			} else {
				deleteFile(list[i]);
			}
		}
	}
	
	protected static void deleteFile(java.io.File path) throws DeleteException {
		if (!path.delete()) {
			throw new DeleteException("Can't delete file '"+path+"'.");
		}
	}
}
