/**
 * CNInOut2InOutRemote.java is a part of the SOFA project.
 * This file was created by pepan on 18.4.2003.
 */
package SOFA.SOFAnode.InOut.Connector;

import SOFA.SOFAnode.InOut.InOutException;
import SOFA.SOFAnode.TR.ComponentInfo;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 *
 * @author Petr Panuska
 */
public interface CNInOut2InOutRemote extends Remote {
  byte[] pullBundle (ComponentInfo[] descs, ComponentInfo[] comps, boolean inferiors) throws RemoteException, InOutException;

  void pushBundle (byte[] bundleData) throws RemoteException, InOutException;
}
