/* $Id: CompAttribute.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;

class CompAttribute extends CompContainedIm {
  public static final int a_normal = 0;
  public static final int a_readonly = 1;
  
  public int mode;
  public CompType type;

  public CompAttribute(ID id, CompContainer parent, CompRepository rep, CompType t, int md) {
    super(ObjectsKind.o_Attribute, id, parent, rep);
    id.version = ((CompContained)parent).getIdent().version;
    mode = md;
    type = t;
  }

  public void checkConsist(EnumList props, CompRepository rep) throws CDLExceptCheck, CDLExceptLock, CDLExceptRemote {
    type.checkConsist(props, rep);
  }
}
