/* $Id: CompExprDefault.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;
import SOFA.SOFAnode.Made.TIR.*;
import java.rmi.RemoteException;

class CompExprDefault extends CompExprOper {
  public CompExprDefault() {
    super(CompExprKind.e_default);
  }
  public int type() { return CompExprKind.e_default; }
  public boolean isProp() { return false; }
  public EnumList nameProp(CompRepository rep) throws CDLExceptRemote, CDLExceptLock {
    EnumList l = new EnumList();
    return l;
  }

  public int isPositive() {
    return -2;
  }

  public ExprOperDef toNormal(CDLRepository rep) throws CDLExceptToNormal, CDLExceptRemote, CDLExceptLock {
    try {
      return ((Repository) rep.get_containing_repository()).create_exprdefault();
    } catch (RemoteException e) {
      throw new CDLExceptRemote("Remote exception occured: "+e.getMessage());
    } catch (TIRExceptCreate ecr) {
      throw new CDLExceptToNormal("Can't create expression");
    }
  }

  public String toString() {
    return "default";
  }
}
