/* $Id: CompObject.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;

/** parent for all new objects from CDL source */
interface CompObject {
  /** returns kind of the object */
  public int objectKind();
  /** if object is Container */
  public boolean isContainer();
  /** do final checks of the consitency */
  public void checkConsist(EnumList props, CompRepository rep) throws CDLExceptCheck, CDLExceptLock, CDLExceptRemote;
}
