/* $Id: CompProtNestedOperand.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;

class CompProtNestedOperand extends CompProtOperand {
  public CompProtOper nestOperand;

  public CompProtNestedOperand(String operand, String ifacename, int mode, CompProtOper nestOper) {
    super(operand, ifacename, mode);
    type  = CompProtKind.p_nestedoperand;
    this.nestOperand = nestOper;
  }

  public String toText() {
    StringBuffer sb = new StringBuffer();
    if (mode == CompProtMode.pm_in)
      sb.append("?");
    else
      sb.append("!");
    sb.append(ifacename);
    sb.append(".");
    sb.append(operand);
    sb.append("{");
    sb.append(nestOperand.toText());
    sb.append("}");
    return sb.toString();
  }
}
