/* $Id: Fixed.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;

class Fixed {
  public long number;
  public int total;
  public int fract;

  static long pow10(int n) {
    int i;
    long ret = 1;
    for(i=0;i<n;i++)
      ret*=10L;
    return ret;
  }

  public Fixed(String str) {
    int i;
    number = total = fract = 0;
    i = 0;
    while (str.charAt(i)=='0') {
      i++;
    }
    boolean point = false;
    int pom = 0, pomfr = 0;
    while (str.charAt(i)!='d' && str.charAt(i)!='D') {
      if (str.charAt(i)=='0') {
        pom++;
	if (point)
	  /*fract++;*/
	  pomfr++;
	else {
	  fract--;
	}  
      } else if (str.charAt(i)=='.') {
        point = true;
	fract = 0;
      } else {
        if (point) {
	  fract +=pomfr + 1;
	  pomfr = 0;
	} else {
	  fract = 0;
	}
        total += pom+1;
	number *= pow10(pom+1);
	number += (double)(str.charAt(i) - '0');
	pom=0;
      }
      i++;
    }
  }

  public double toDouble() {
    if (fract<0)
      return (double)number * (double)pow10(-fract);
    return (double)number / (double)pow10(fract);
  }
}
