/* $Id: Main.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;
import java.io.File;

/** class for running CDL */
public class Main {

  static class GCThread extends Thread {
    public void run() {
      System.gc();
      try {
        Thread.sleep(1000);
      } catch (Exception e) {;}
    }
  }
  
  private static File[] testArgv(String[] argv) {
    int i, n = 0;
    File[] f = new File [argv.length];
    for(i=0; i<argv.length; i++) {
      f[n] = new File(argv[i]);
      if (f[n].exists())
        n++;
      else
        Output.out.println("File "+argv[i]+" doesn't exist.");
    }
    File[] ret = new File [n];
    for (i=0; i<n; i++) {
      ret[i] = f[i];
    }
    return ret;
  }

  public static void main(String[] argv) {
    try {
      /*
      GCThread gct = new GCThread();
      gct.setDaemon(true);
      gct.start();
      */
      Output.setOut(new ConsoleLogger());
      System.setSecurityManager(new java.rmi.RMISecurityManager());
    
      File[] f = testArgv(argv);
      if (f.length == 0) {
        Output.out.println("No file to compile");
        System.exit(1);
      }
      parser.run(f);
    } catch (Exception e) {
      Output.out.println("Exception: "+e.getMessage());
      e.printStackTrace();
    } catch (Error e) {
      Output.out.println("Error: "+e.getMessage());
      e.printStackTrace();
    }
  }
}
