/**
 * CNTR2InOut.java is a part of the SOFA project.
 * This file was created by pepan on 19.3.2003.
 */
package SOFA.SOFAnode.TR.Connector;

import SOFA.SOFAnode.InOut.Bundle;
import SOFA.SOFAnode.TR.ComponentInfo;
import SOFA.SOFAnode.TR.TRException;

/**
 * @author Petr Panuska
 */
public interface CNTR2InOut {
  public void storeBundle (Bundle bundle) throws TRException;

  public Bundle getBundle (ComponentInfo[] descs, ComponentInfo[] comps, boolean inferiors) throws TRException;

//  public Bundle getMetaBundle (ComponentInfo[] descs) throws TRException;

  public boolean contains (ComponentInfo descrs);

  public Bundle list ();
}
