/**
 * TR2InOutSRole.java is a part of the SOFA project.
 * This file was created by pepan on 19.3.2003.
 */
package SOFA.SOFAnode.TR.Connector;

import SOFA.Connector.RoleBaseImpl;
import SOFA.SOFAnode.InOut.Bundle;
import SOFA.SOFAnode.TR.*;

/**
 * @author Petr Panuska
 */
public class TR2InOutSRole extends RoleBaseImpl implements CNTR2InOut {
  private TR2InOut target;

  public void link (Object target) throws SOFA.Connector.LinkException {
    this.target = (TR2InOut) target;
  }

  public void storeBundle (Bundle bundle) throws TRException {
    target.storeBundle(bundle);
  }

  public Bundle getBundle (ComponentInfo[] descs, ComponentInfo[] comps, boolean inferiors) throws TRException {
    return target.getBundle(descs, comps, inferiors);
  }

  public boolean contains (ComponentInfo descrs) {
    return target.contains(descrs);
  }

  public Bundle list () {
    return target.list();
  }
}
