/* $Id: StringHolder.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */

/* This code is based on the OMG's IDL Java Language mapping
 * definitions (OMG document formal/99-06-02).
 */
package cz.cuni.sofa.lib;

final public class StringHolder implements cz.cuni.sofa.lib.Streamable, java.io.Serializable {

    public String value;

    public StringHolder() {
    }

    public StringHolder(String initial) {
        value = initial;
    }

    public void _read(cz.cuni.sofa.lib.InputStream is) throws java.io.IOException {
        value = is.read_string();
    }

    public void _write(cz.cuni.sofa.lib.OutputStream os) throws java.io.IOException  {
        os.write_string(value);
    }
}
