/* $Id: CompContainedIm.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;

abstract class CompContainedIm extends CompObjectIm implements CompContained {
  public ID id;
  public CompContainer par;
  public CompRepository rep;
  public CompContainedIm(int okind, ID id, CompContainer parent, CompRepository rep) {
    super(okind);
    this.id = id;
    par = parent;
    this.rep = rep;
  }
 
  public CompRepository repository() { return rep; }
  public ID getIdent() { return id; }
  public CompContainer parent() { return par; }
  public FullID fullName() {
    FullID ret = null;
    if (par==null) {
      ret = new FullID(true);
      ret.name = id.name;
      ret.version = id.version;
    } else {
      FullID p = ((CompContained)par).fullName();
      ret = new FullID(p);
      ret.sn.addScope(new String(p.name));
      ret.name = id.name;
      ret.version = id.version;
    }
    return ret;
  }

  public boolean isContainer() {return false;}
}
