/* $Id: CompProtOperand.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;

class CompProtOperand extends CompProtOper{
  public int mode;
  public String operand;       // name of operation
  public String ifacename;     // name of interface (is used only in frame prot)

  public CompProtOperand(String operand, String ifacename, int mode) {
    super(CompProtKind.p_operand);
    this.operand = operand;
    this.ifacename = ifacename;
    this.mode = mode;
  }

  public String toText() {
    StringBuffer sb = new StringBuffer();
    if (mode == CompProtMode.pm_none) {  // iface protocol
      sb.append(operand);
    } else {  // frame protocol
      if (mode == CompProtMode.pm_in)
        sb.append("?");
      else
        sb.append("!");
      sb.append(ifacename);
      sb.append(".");
      sb.append(operand);
    }
    return sb.toString();
  }
}
